Debian Bug report logs - #580680
ITA: enchant -- a wrapper library for various spell checkers

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Raphael Geissert <geissert@debian.org>

Date: Fri, 7 May 2010 17:06:01 UTC

Owned by: Prach Pongpanich <prachpub@gmail.com>

Severity: normal

Fixed in version enchant/1.6.0-8

Done: Prach Pongpanich <prachpub@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#580680; Package src:enchant. (Fri, 07 May 2010 17:06:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: enchant: should this package be orphaned?
Date: Fri, 7 May 2010 12:02:54 -0500
Source: enchant
Severity: serious

Hi,

Enchant hasn't seen any maintainer upload for almost two years now, with 6 
NMUs in a row.

Since there are important bugs that should be addressed and even newer 
versions of the library, you should consider either addressing the issues or 
orphaning the package.

Thanks in advance.

P.S. failure to respond in a reasonable amount of time (two weeks) would mean 
you are no longer interested and that I should go ahead and orphan it.

Regards,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#580680; Package src:enchant. (Sun, 23 May 2010 21:15:03 GMT) Full text and rfc822 format available.

Message #6 received at 580680@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: 580680@bugs.debian.org
Cc: control@bugs.debian.org, abiword@packages.debian.org, evolution@packages.debian.org
Subject: Re: Bug#580680: enchant: should this package be orphaned?
Date: Sun, 23 May 2010 16:13:03 -0500
reassign 580680 wnpp
retitle 580680 O: enchant -- a wrapper library for various spell checkers
severity 580680 normal
thanks

Hi,

Since I haven't heard from you I'm now orphaning enchant.

Abiword and evolution maintainers: any chance any of you is interested in 
adopting enchant? I would say the abiword maintainers are the best candidate 
since enchant comes from the same upstream project, but they appear to lack 
manpower.

If nobody steps up I guess we could move it under collab-maint and try to form 
a small group from all the maintainers of packages using enchant. Even if it 
isn't a dedicated team it shouldn't be worse than its current state.

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Bug reassigned from package 'src:enchant' to 'wnpp'. Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Sun, 23 May 2010 21:15:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'O: enchant -- a wrapper library for various spell checkers' from 'enchant: should this package be orphaned?' Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Sun, 23 May 2010 21:15:07 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Sun, 23 May 2010 21:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#580680; Package wnpp. (Sun, 23 May 2010 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 May 2010 22:33:03 GMT) Full text and rfc822 format available.

Message #17 received at 580680@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 580680@bugs.debian.org
Cc: abiword@packages.debian.org, evolution@packages.debian.org
Subject: Re: [Evolution] Bug#580680: enchant: should this package be orphaned?
Date: Mon, 24 May 2010 00:29:20 +0200
[Message part 1 (text/plain, inline)]
On dim., 2010-05-23 at 16:13 -0500, Raphael Geissert wrote:
> reassign 580680 wnpp
> retitle 580680 O: enchant -- a wrapper library for various spell checkers
> severity 580680 normal
> thanks
> 
> Hi,
> 
> Since I haven't heard from you I'm now orphaning enchant.
> 
> Abiword and evolution maintainers: any chance any of you is interested in 
> adopting enchant? I would say the abiword maintainers are the best candidate 
> since enchant comes from the same upstream project, but they appear to lack 
> manpower.

We don't have manpower at all even just for evolution, so no, I don't
think it's possible.

Cheers,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#580680; Package wnpp. (Sat, 29 May 2010 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Jyrinki <timo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 29 May 2010 19:45:03 GMT) Full text and rfc822 format available.

Message #22 received at 580680@bugs.debian.org (full text, mbox):

From: Timo Jyrinki <timo@debian.org>
To: 580680@bugs.debian.org
Subject: Re: O: enchant -- a wrapper library for various spell checkers
Date: Sat, 29 May 2010 22:43:01 +0300
[Message part 1 (text/plain, inline)]
> If nobody steps up I guess we could move it under collab-maint
> and try to form a small group from all the maintainers of
> packages using enchant. Even if it isn't a dedicated
> team it shouldn't be worse than its current state.

Hi. Collab-maint sounds at this point the way to go. I went ahead and
created http://git.debian.org/?p=collab-maint/enchant.git;a=summary

I think I can work on the packaging stuff for at least the initial
update, mainly importing Ubuntu's work on 1.6.0 packaging and seeing if
there is anything to fix from my point of view. There is separation of
voikko component to a separate library, which is fine (even though
voikko just lost both malaga and glib dependencies so there are no
further dependencies) although it requires changes to tasksel which I
can ask for later.

If you have anything against first importing Ubuntu's 1.6 stuff and
working from there, please say so. After that any fixes to bug reports
or otherwise are of course welcome.

Let's say some ETA Ubuntu import to git by 2.6. if no objections, then
some quick fixes by me and waiting until 9.6. for possible other fixes,
then upload if no hurdles arise?

What about this group then, ie. bureaucracy? I wouldn't want to actually
adopt enchant at this point, so I'd indeed prefer working as part of
some group. If someone can take initiative there and form something,
feel free. I'll join any group :P

-Timo


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#580680; Package wnpp. (Thu, 03 Jun 2010 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Jyrinki <timo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 03 Jun 2010 17:54:03 GMT) Full text and rfc822 format available.

Message #27 received at 580680@bugs.debian.org (full text, mbox):

From: Timo Jyrinki <timo@debian.org>
To: 580680@bugs.debian.org
Subject: Re: O: enchant -- a wrapper library for various spell checkers
Date: Thu, 03 Jun 2010 20:50:24 +0300
[Message part 1 (text/plain, inline)]
29.05.2010 22:43, Timo Jyrinki kirjoitti:
> created http://git.debian.org/?p=collab-maint/enchant.git;a=summary
...
> Let's say some ETA Ubuntu import to git by 2.6. if no objections, then
> some quick fixes by me and waiting until 9.6. for possible other fixes,
> then upload if no hurdles arise?

The import and various fixes done. I'll probably just do an NMU if
no-one suggests/arranges something else. It will go into the NEW queue
because of libenchant-voikko.

-Timo


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#580680; Package wnpp. (Thu, 10 Jun 2010 19:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 10 Jun 2010 19:24:04 GMT) Full text and rfc822 format available.

Message #32 received at 580680@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Alexander Reichle-Schmehl <ftpmaster@debian.org>, Timo Jyrinki <timo@debian.org>
Cc: 580680@bugs.debian.org
Subject: Re: enchant_1.6.0-0.1_i386.changes REJECTED
Date: Thu, 10 Jun 2010 21:21:45 +0200
[Message part 1 (text/plain, inline)]
Hi!


* Timo Jyrinki <timo@debian.org> [100603 19:50]:

> The import and various fixes done. I'll probably just do an NMU if
> no-one suggests/arranges something else. It will go into the NEW queue
> because of libenchant-voikko.

* Alexander Reichle-Schmehl <ftpmaster@debian.org> [100610 21:04]:

> I reject this package as:
> * According to the changelog, this upload fixed three bugs of severity
>   normal, nothing release critical or even important.
> * For an NMU it's quite intrusive.


Sorry, I just noticed that the package has indeed been orphaned.  Feel
free to go ahead and do an proper QA upload (and setting the maintainer to
the QA group while working on it).


Best Regards,
  Alexander
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#580680; Package wnpp. (Sun, 13 Jun 2010 09:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Jyrinki <timo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 13 Jun 2010 09:57:08 GMT) Full text and rfc822 format available.

Message #37 received at 580680@bugs.debian.org (full text, mbox):

From: Timo Jyrinki <timo@debian.org>
To: Alexander Reichle-Schmehl <ftpmaster@debian.org>
Cc: 580680@bugs.debian.org
Subject: Re: enchant_1.6.0-0.1_i386.changes REJECTED
Date: Sun, 13 Jun 2010 12:53:55 +0300
10.06.2010 22:21, Alexander Reichle-Schmehl kirjoitti:
> Sorry, I just noticed that the package has indeed been orphaned.  Feel
> free to go ahead and do an proper QA upload (and setting the maintainer to
> the QA group while working on it).

Sorry for missing the obvious, and thanks for your work. I've now done a
new upload as a QA upload.

-Timo




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#580680; Package wnpp. (Sat, 26 Jun 2010 19:00:03 GMT) Full text and rfc822 format available.

Message #40 received at 580680@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: Timo Jyrinki <timo@debian.org>
Cc: 580680@bugs.debian.org
Subject: Re: Bug#580680: O: enchant -- a wrapper library for various spell checkers
Date: Sat, 26 Jun 2010 13:57:48 -0500
Hi Timo,

Thanks for the upload!

We could indeed continue working via collab-maint as mere QA uploads for now.
Maybe after a couple of upload we will realise who is willing to work on it 
and create a small group or at least some sort of mailing list or mail 
exploder.

With your upload now done the next step is to find out how to solve the issue 
with the different backends.
I haven't even checked if enchant is capable of dlopen(3)ing the backends, but 
that sounds like the right solution. Creating very small packages for each and 
every backend would be silly.

P.S. please keep me CC'ed as I'm not subscribed to the bug.

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#580680; Package wnpp. (Mon, 26 Sep 2011 09:55:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 26 Sep 2011 09:55:40 GMT) Full text and rfc822 format available.

Message #45 received at 580680@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 580680@bugs.debian.org
Subject: Plan to adopt enchant
Date: Mon, 26 Sep 2011 11:53:11 +0200
Hi,

I plan to adopt enchant

Bastien




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#580680; Package wnpp. (Fri, 03 Feb 2012 18:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 03 Feb 2012 18:42:07 GMT) Full text and rfc822 format available.

Message #50 received at 580680@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: 580680@bugs.debian.org
Cc: agmartin@debian.org
Subject: Re: Bug #580680: O: enchant -- a wrapper library for various spell checkers
Date: Sat, 4 Feb 2012 02:38:43 +0800
Hi everyone,

I find we may want to invite Agustin Martin Domingo <agmartin> to
officially take this package, if he agrees.

-- 
Regards,
Aron Xu




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#580680; Package wnpp. (Mon, 06 Feb 2012 12:25:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 06 Feb 2012 12:25:26 GMT) Full text and rfc822 format available.

Message #55 received at 580680@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: 580680@bugs.debian.org
Subject: Re: Bug #580680: O: enchant -- a wrapper library for various spell checkers
Date: Mon, 6 Feb 2012 13:23:12 +0100
On Sat, Feb 04, 2012 at 02:38:43AM +0800, Aron Xu wrote:
> Hi everyone,
> 
> I find we may want to invite Agustin Martin Domingo <agmartin> to
> officially take this package, if he agrees.

Hi, Aron,

Thanks for the offer, but unfortunately I can only deal with packaging
issues regarding enchant package. I do not program C++ at all and never did.

Regards,

-- 
Agustin




Changed Bug title to 'ITA: enchant -- a wrapper library for various spell checkers' from 'O: enchant -- a wrapper library for various spell checkers' Request was from Prach Pongpanich <prachpub@gmail.com> to control@bugs.debian.org. (Thu, 07 Feb 2013 15:24:09 GMT) Full text and rfc822 format available.

Owner recorded as Prach Pongpanich <prachpub@gmail.com>. Request was from Prach Pongpanich <prachpub@gmail.com> to control@bugs.debian.org. (Thu, 07 Feb 2013 15:24:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 580680: 700397 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Tue, 12 Feb 2013 16:21:25 GMT) Full text and rfc822 format available.

Reply sent to Prach Pongpanich <prachpub@gmail.com>:
You have taken responsibility. (Wed, 20 Mar 2013 19:36:07 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Wed, 20 Mar 2013 19:36:07 GMT) Full text and rfc822 format available.

Message #66 received at 580680-close@bugs.debian.org (full text, mbox):

From: Prach Pongpanich <prachpub@gmail.com>
To: 580680-close@bugs.debian.org
Subject: Bug#580680: fixed in enchant 1.6.0-8
Date: Wed, 20 Mar 2013 19:32:33 +0000
Source: enchant
Source-Version: 1.6.0-8

We believe that the bug you reported is fixed in the latest version of
enchant, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580680@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Prach Pongpanich <prachpub@gmail.com> (supplier of updated enchant package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 11 Feb 2013 18:29:04 +0700
Source: enchant
Binary: libenchant-dev libenchant1c2a libenchant-voikko enchant
Architecture: source amd64
Version: 1.6.0-8
Distribution: experimental
Urgency: low
Maintainer: Prach Pongpanich <prachpub@gmail.com>
Changed-By: Prach Pongpanich <prachpub@gmail.com>
Description: 
 enchant    - Wrapper for various spell checker engines (binary programs)
 libenchant-dev - Wrapper library for various spell checker engines (development)
 libenchant-voikko - Voikko spell-checker libenchant plugin
 libenchant1c2a - Wrapper library for various spell checker engines (runtime libs)
Closes: 580680
Changes: 
 enchant (1.6.0-8) experimental; urgency=low
 .
   * New maintainer. (Closes: #580680)
   * Build with hardening flags:
     - Bump debhelper compat to level 9.
     - Add debhelper (>= 9).
     - Replace FLAGS,CPPFLAGS,LDFLAGS with dpkg-buildflags.
     - Override false positive hardening-no-fortify-functions
       lintian warnings.
   * Multiarch support:
     - Add "Pre-Depends: ${misc:Pre-Depends}" for libenchant1c2a,
       libenchant-voikko.
     - Add DEB_HOST_MULTIARCH and pass it to --libdir in configure.
     - Replace /usr/lib/ with /usr/lib/*/ in {libenchant1c2a,
       libenchant-dev,libenchant-voikko}.files and debian/rules.
     - Add "Multi-Arch: same" for libenchant1c2a,libenchant-voikko.
   * Use symbols file:
     - Add libenchant1c2a.symbols.
     - Add "dh_makeshlibs -V" in debian/rules.
     - Drop libenchant1c2a.shlibs.
     - Drop TODO.debian file.
   * Update 02_Requires-Private.diff to DEP-3 format.
   * Bump to Standards-Version 3.9.4, no changes needed.
Checksums-Sha1: 
 ef0f86aa60969802c353e9e0bbb29b919354cbe0 1700 enchant_1.6.0-8.dsc
 8c8f3c16a15c8842ba9b8570c38ae5741a4a0b9d 14433 enchant_1.6.0-8.debian.tar.gz
 f6f76be8d7742db0fd40c5956d1730fc607d6394 74020 libenchant-dev_1.6.0-8_amd64.deb
 39e8fd19ca2293b40f6c549409163b93b19ac26e 88836 libenchant1c2a_1.6.0-8_amd64.deb
 d6dee9b0dcaf833791a8330eb249941f55f3a6bf 12022 libenchant-voikko_1.6.0-8_amd64.deb
 0d8f3d37eb6409c3e0fdd9f02114408e00f3f2c0 20484 enchant_1.6.0-8_amd64.deb
Checksums-Sha256: 
 a49864a3848a9017babd4f6acdfccd4cd753a285b0cfc55f93318cc4c328e683 1700 enchant_1.6.0-8.dsc
 930d5be69d83a52f926961d507e0a837e5f724238cc4ab701cc2531e74ab6762 14433 enchant_1.6.0-8.debian.tar.gz
 efbdfa0b199288e931f936fcb456ee7214eb8f99b998bc590cb89aed5f3589fe 74020 libenchant-dev_1.6.0-8_amd64.deb
 461ff0b38e470ba925b1047aa3e2488d5bf5f84c17ea276678d688b700f731c5 88836 libenchant1c2a_1.6.0-8_amd64.deb
 23747e5ae9aa141a99afea0c379ed90a004e10c9d493be44bdfaa0f59172a5a2 12022 libenchant-voikko_1.6.0-8_amd64.deb
 ccbfc9c906f34d103da66857c79c5bf1e5a4c8b8246e812950db74b6f29a2f08 20484 enchant_1.6.0-8_amd64.deb
Files: 
 c97df6b2106d2658d6ff8ca44fe7f57f 1700 devel optional enchant_1.6.0-8.dsc
 22e53eb6a5c201ecb7545fce9b90477f 14433 devel optional enchant_1.6.0-8.debian.tar.gz
 6b4719c04f9c1d47fec63c1853afe352 74020 libdevel optional libenchant-dev_1.6.0-8_amd64.deb
 4f9b8dc530eec83342efeb6bc303aa65 88836 libs optional libenchant1c2a_1.6.0-8_amd64.deb
 4593b5203d483b48a809ed8a4f585ec7 12022 libs optional libenchant-voikko_1.6.0-8_amd64.deb
 7dac951a589370d057b67d641311081b 20484 text optional enchant_1.6.0-8_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBAgAGBQJRSgynAAoJEIAhAkTu07wNbgYIAIbIVolC++CpiLFAJUFjMM/P
9yi9i0OUaz1PQEb3yKopMbRd3PqCxhwFc8Q/vGbF3e3V18JZJALdFN6gYIH7/tDh
/nqehN5ZySkr092n/siR7mLkzPX7NWvkoVhtfvlkdmwty8WyjokSEZp75k+unhL5
5kLlq6L7bQ2O8VGCFcd4WvgglBHg1wYd4JW9llk8D46uq+nhmJGoulEgJ47bugqX
79jF01h2taEQGIZekSJh2+UEem59fMJuP3yrq9E6/9hKB0kEY+AElANZ0osKd0Cj
mbBg7vCyX0UW7vMylIwgDy4AzHaNUmNKO3Kp3GTdOv/JOMtW1EuaLz3YO27RsKk=
=B9SW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 18 Apr 2013 07:28:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:51:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.